# Copyright (c) 2000-2011, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%bcond_without repolib

%define repodir %{_javadir}/repository.jboss.com/org/slf4j/%{namedversion}-brew
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src

%global namedversion %{version}

%define section free

Name:           slf4j
Version:        1.6.1
Release:        5%{?dist}
Epoch:          0
Summary:        Simple Logging Facade for Java
Group:          System/Logging
License:        MIT
URL:            http://www.slf4j.org/
#FIXME: not v1.6.1 tag in git
# git clone http://git.qos.ch/slf4j && cd slf4j && git checkout v1.5.10 && rm -rf .git* && cd .. && mv slf4j slf4j-1.5.10 && tar cjf slf4j-1.5.10.tar.bz2 slf4j-1.5.10
Source0:        http://www.slf4j.org/dist/slf4j-1.6.1.tar.gz
Source1:        %{name}-settings.xml
Source2:        %{name}-jpp-depmap.xml
Source3:        slf4j-component-info.xml
# Skip ant test
Patch0:         slf4j-1.6.1-integration-pom.patch.rpmbuild
# FIXME: needs newer (standalone) build-helper
#Patch1:         slf4j-1.6.1-no-build-helper.patch
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       cal10n
Requires:       jakarta-commons-logging
Requires:       jpackage-utils
Requires:       log4j
BuildRequires:  ant-junit >= 0:1.6.5
BuildRequires:  junit >= 0:3.8.1
# 1.2
BuildRequires:  maven2-plugin-antrun
BuildRequires:  maven2-plugin-surefire
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-source
#FIXME: conflict with felix
#BuildRequires:  felix-parent
#BuildRequires:  felix-main >= 0:2.0.2
BuildRequires:  maven-plugin-bundle
# build-helper-maven-plugin
#BuildRequires:  mojo-maven2-plugin-build-helper
BuildRequires:  build-helper-maven-plugin
BuildRequires:  cal10n
BuildRequires:  jakarta-commons-lang >= 0:2.4
# 3.4.GA
BuildRequires:  javassist >= 0:3.4
BuildRequires:  jakarta-commons-logging >= 0:1.1.1
BuildRequires:  log4j
BuildRequires:  jpackage-utils
BuildRequires:  java-devel >= 0:1.5.0
BuildRequires:  maven2 >= 2.0.7
BuildRequires:  maven2-plugin-deploy
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven-doxia-sitetools
BuildRequires:  maven-surefire-provider-junit
BuildRequires:  maven2-plugin-site
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The Simple Logging Facade for Java or (SLF4J) is intended to serve
as a simple facade for various logging APIs allowing to the end-user
to plug in the desired implementation at deployment time. SLF4J also
allows for a gradual migration path away from
Jakarta Commons Logging (JCL). 

Logging API implementations can either choose to implement the
SLF4J interfaces directly, e.g. NLOG4J or SimpleLogger. Alternatively,
it is possible (and rather easy) to write SLF4J adapters for the given
API implementation, e.g. Log4jLoggerAdapter or JDK14LoggerAdapter.. 

%package javadoc
Group:          Development/Documentation
Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
%{summary}.

%package manual
Group:          Development/Documentation
Summary:        Documents for %{name}

%description manual
%{summary}.

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%prep
%setup -q
# remove test-jar dep
sed -i "31, 37 d" slf4j-jdk14/pom.xml
%patch0 -p0 -b .sav0
#%patch1 -p0 -b .sav1

%{_bindir}/find -type f \( -name "*.css" -o -name "*.js" -o -name "*.txt" \) | %{_bindir}/xargs -t %{__perl} -pi -e 's/\r$//g'

%{_bindir}/find -type f -name "*.?ar" | %{_bindir}/xargs -t %{__rm}

%build
export MAVEN_REPO_LOCAL=`pwd`/.m2/repository
export ALT_DEPLOYMENT_REPOSITORY=oss-releases::default::file:`pwd`/maven2-brew
for i in slf4j-api .; do
pushd $i
%{_bindir}/mvn-jpp \
    -Dmaven.test.skip=true \
    -Dmaven.repo.local=${MAVEN_REPO_LOCAL} \
    -DaltDeploymentRepository=${ALT_DEPLOYMENT_REPOSITORY} \
    -Dversion=%{version} \
    install deploy:deploy javadoc:aggregate
popd
done

%install
# jars
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}
pushd maven2-brew
%{__cp} -p org/slf4j/integration/%{namedversion}/integration-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}
%{__cp} -p org/slf4j/jcl-over-slf4j/%{namedversion}/jcl-over-slf4j-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}
%{__cp} -p org/slf4j/jcl-over-slf4j/%{namedversion}/jcl-over-slf4j-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}
%{__cp} -p org/slf4j/jul-to-slf4j/%{namedversion}/jul-to-slf4j-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}
%{__cp} -p org/slf4j/jul-to-slf4j/%{namedversion}/jul-to-slf4j-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}
%{__cp} -p org/slf4j/log4j-over-slf4j/%{namedversion}/log4j-over-slf4j-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}
%{__cp} -p org/slf4j/log4j-over-slf4j/%{namedversion}/log4j-over-slf4j-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}
%{__cp} -p org/slf4j/slf4j-api/%{namedversion}/slf4j-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}
#%{__cp} -p org/slf4j/slf4j-api/%{namedversion}/slf4j-api-%{namedversion}-tests.jar %{buildroot}%{_javadir}/%{name}
%{__cp} -p org/slf4j/slf4j-api/%{namedversion}/slf4j-api-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}
%{__cp} -p org/slf4j/slf4j-ext/%{namedversion}/slf4j-ext-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}
%{__cp} -p org/slf4j/slf4j-ext/%{namedversion}/slf4j-ext-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}
%{__cp} -p org/slf4j/slf4j-jcl/%{namedversion}/slf4j-jcl-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}
%{__cp} -p org/slf4j/slf4j-jcl/%{namedversion}/slf4j-jcl-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}
%{__cp} -p org/slf4j/slf4j-jdk14/%{namedversion}/slf4j-jdk14-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}
%{__cp} -p org/slf4j/slf4j-jdk14/%{namedversion}/slf4j-jdk14-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}
%{__cp} -p org/slf4j/slf4j-log4j12/%{namedversion}/slf4j-log4j12-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}
%{__cp} -p org/slf4j/slf4j-log4j12/%{namedversion}/slf4j-log4j12-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}
%{__cp} -p org/slf4j/slf4j-migrator/%{namedversion}/slf4j-migrator-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}
%{__cp} -p org/slf4j/slf4j-migrator/%{namedversion}/slf4j-migrator-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}
%{__cp} -p org/slf4j/slf4j-nop/%{namedversion}/slf4j-nop-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}
%{__cp} -p org/slf4j/slf4j-nop/%{namedversion}/slf4j-nop-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}
%{__cp} -p org/slf4j/slf4j-simple/%{namedversion}/slf4j-simple-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}
%{__cp} -p org/slf4j/slf4j-simple/%{namedversion}/slf4j-simple-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}
%{__cp} -p org/slf4j/slf4j-site/%{namedversion}/slf4j-site-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}
%{__cp} -p org/slf4j/slf4j-site/%{namedversion}/slf4j-site-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}
popd
(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_datadir}/maven2/poms
pushd maven2-brew

ls -lR

%{__cp} -p org/slf4j/integration/%{namedversion}/integration-%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-integration.pom
%{__cp} -p org/slf4j/jcl-over-slf4j/%{namedversion}/jcl-over-slf4j-%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-jcl-over-slf4j.pom
#%{__cp} -p org/slf4j/jcl104-over-slf4j/%{namedversion}/jcl104-over-slf4j-%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-jcl104-over-slf4j.pom
%{__cp} -p org/slf4j/jul-to-slf4j/%{namedversion}/jul-to-slf4j-%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-jul-to-slf4j.pom
%{__cp} -p org/slf4j/log4j-over-slf4j/%{namedversion}/log4j-over-slf4j-%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-log4j-over-slf4j.pom
%{__cp} -p org/slf4j/slf4j-api/%{namedversion}/slf4j-api-%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-slf4j-api.pom
%{__cp} -p org/slf4j/slf4j-ext/%{namedversion}/slf4j-ext-%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-slf4j-ext.pom
%{__cp} -p org/slf4j/slf4j-jcl/%{namedversion}/slf4j-jcl-%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-slf4j-jcl.pom
%{__cp} -p org/slf4j/slf4j-jdk14/%{namedversion}/slf4j-jdk14-%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-slf4j-jdk14.pom
%{__cp} -p org/slf4j/slf4j-log4j12/%{namedversion}/slf4j-log4j12-%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-slf4j-log4j12.pom
%{__cp} -p org/slf4j/slf4j-migrator/%{namedversion}/slf4j-migrator-%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-slf4j-migrator.pom
%{__cp} -p org/slf4j/slf4j-nop/%{namedversion}/slf4j-nop-%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-slf4j-nop.pom
%{__cp} -p org/slf4j/slf4j-parent/%{namedversion}/slf4j-parent-%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-slf4j-parent.pom
%{__cp} -p org/slf4j/slf4j-simple/%{namedversion}/slf4j-simple-%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-slf4j-simple.pom
%{__cp} -p org/slf4j/slf4j-site/%{namedversion}/slf4j-site-%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-slf4j-site.pom
popd

# depmaps
%add_to_maven_depmap org.slf4j integration %{namedversion} JPP/%{name} integration
%add_to_maven_depmap org.slf4j jcl-over-slf4j %{namedversion} JPP/%{name} jcl-over-slf4j
#%add_to_maven_depmap org.slf4j jcl104-over-slf4j %{namedversion} JPP/%{name} jcl104-over-slf4j
%add_to_maven_depmap org.slf4j jul-to-slf4j %{namedversion} JPP/%{name} jul-to-slf4j
%add_to_maven_depmap org.slf4j log4j-over-slf4j %{namedversion} JPP/%{name} log4j-over-slf4j
%add_to_maven_depmap org.slf4j slf4j-api %{namedversion} JPP/%{name} slf4j-api
%add_to_maven_depmap org.slf4j slf4j-ext %{namedversion} JPP/%{name} slf4j-ext
%add_to_maven_depmap org.slf4j slf4j-jcl %{namedversion} JPP/%{name} slf4j-jcl
%add_to_maven_depmap org.slf4j slf4j-jdk14 %{namedversion} JPP/%{name} slf4j-jdk14
%add_to_maven_depmap org.slf4j slf4j-log4j12 %{namedversion} JPP/%{name} slf4j-log4j12
%add_to_maven_depmap org.slf4j slf4j-migrator %{namedversion} JPP/%{name} slf4j-migrator
%add_to_maven_depmap org.slf4j slf4j-nop %{namedversion} JPP/%{name} slf4j-nop
%add_to_maven_depmap org.slf4j slf4j-parent %{namedversion} JPP/%{name} slf4j-parent
%add_to_maven_depmap org.slf4j slf4j-simple %{namedversion} JPP/%{name} slf4j-simple
%add_to_maven_depmap org.slf4j slf4j-site %{namedversion} JPP/%{name} slf4j-site

# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{version}
%{__cp} -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}-%{version}/
%{__ln_s} %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}

# manual
%{__mkdir_p} %{buildroot}%{_docdir}/%{name}-%{version}
%{__cp} -pr target/site/* %{buildroot}%{_docdir}/%{name}-%{version}/
%{__rm} -r %{buildroot}%{_docdir}/%{name}-%{version}/apidocs

%if %with repolib
%{__mkdir_p} %{buildroot}%{repodir}
%{__mkdir_p} %{buildroot}%{repodirlib}
%{__cp} -p %{SOURCE3} %{buildroot}%{repodir}/component-info.xml
tag=`/bin/echo %{name}-%{version}-%{release} | %{__sed} 's|\.|_|g'`
%{__sed} -i "s/@TAG@/$tag/g" %{buildroot}%{repodir}/component-info.xml
%{__sed} -i "s/@VERSION@/%{namedversion}-brew/g" %{buildroot}%{repodir}/component-info.xml
%{__mkdir_p} %{buildroot}%{repodirsrc}
%{__cp} -p %{SOURCE0} %{buildroot}%{repodirsrc}
%{__cp} -p %{SOURCE1} %{buildroot}%{repodirsrc}
%{__cp} -p %{SOURCE2} %{buildroot}%{repodirsrc}
%{__cp} -p %{PATCH0} %{buildroot}%{repodirsrc}

%{__cp} -p %{buildroot}%{_javadir}/%{name}/jcl-over-slf4j-%{namedversion}.jar %{buildroot}%{repodirlib}/jcl-over-slf4j.jar
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-jcl-over-slf4j.pom %{buildroot}%{repodirlib}/jcl-over-slf4j.pom

%{__cp} -p %{buildroot}%{_javadir}/%{name}/slf4j-api-%{namedversion}.jar %{buildroot}%{repodirlib}/slf4j-api.jar
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-slf4j-api.pom %{buildroot}%{repodirlib}/slf4j-api.pom

%{__cp} -p %{buildroot}%{_javadir}/%{name}/slf4j-jcl-%{namedversion}.jar %{buildroot}%{repodirlib}/slf4j-jcl.jar
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-slf4j-jcl.pom %{buildroot}%{repodirlib}/slf4j-jcl.pom

%{__cp} -p %{buildroot}%{_javadir}/%{name}/slf4j-log4j12-%{namedversion}.jar %{buildroot}%{repodirlib}/slf4j-log4j12.jar
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-slf4j-log4j12.pom %{buildroot}%{repodirlib}/slf4j-log4j12.pom

%{__cp} -p %{buildroot}%{_javadir}/%{name}/slf4j-nop-%{namedversion}.jar %{buildroot}%{repodirlib}/slf4j-nop.jar
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-slf4j-nop.pom %{buildroot}%{repodirlib}/slf4j-nop.pom

%{__cp} -p %{buildroot}%{_javadir}/%{name}/slf4j-simple-%{namedversion}.jar %{buildroot}%{repodirlib}/slf4j-simple.jar
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-slf4j-simple.pom %{buildroot}%{repodirlib}/slf4j-simple.pom

%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-slf4j-parent.pom %{buildroot}%{repodirlib}/slf4j-parent.pom
%endif

%if %with repolib
%{__mkdir_p} %{buildroot}%{_javadir}/repository.jboss.com
%{__cp} -pr maven2-brew %{buildroot}%{_javadir}/repository.jboss.com
%endif

%clean
%{__rm} -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%dir %{_javadir}*/%{name}
%exclude %dir %{_javadocdir}/%{name}
%{_javadir}*/%{name}/integration-%{namedversion}.jar
%{_javadir}*/%{name}/integration.jar
%{_javadir}*/%{name}/jcl-over-slf4j-%{namedversion}-sources.jar
%{_javadir}*/%{name}/jcl-over-slf4j-sources.jar
%{_javadir}*/%{name}/jcl-over-slf4j-%{namedversion}.jar
%{_javadir}*/%{name}/jcl-over-slf4j.jar
%{_javadir}*/%{name}/jul-to-slf4j-%{namedversion}-sources.jar
%{_javadir}*/%{name}/jul-to-slf4j-sources.jar
%{_javadir}*/%{name}/jul-to-slf4j-%{namedversion}.jar
%{_javadir}*/%{name}/jul-to-slf4j.jar
%{_javadir}*/%{name}/log4j-over-slf4j-%{namedversion}-sources.jar
%{_javadir}*/%{name}/log4j-over-slf4j-sources.jar
%{_javadir}*/%{name}/log4j-over-slf4j-%{namedversion}.jar
%{_javadir}*/%{name}/log4j-over-slf4j.jar
%{_javadir}*/%{name}/slf4j-api-%{namedversion}-sources.jar
%{_javadir}*/%{name}/slf4j-api-sources.jar
#%{_javadir}*/%{name}/slf4j-api-%{namedversion}-tests.jar
#%{_javadir}*/%{name}/slf4j-api-tests.jar
%{_javadir}*/%{name}/slf4j-api-%{namedversion}.jar
%{_javadir}*/%{name}/slf4j-api.jar
%{_javadir}*/%{name}/slf4j-ext-%{namedversion}-sources.jar
%{_javadir}*/%{name}/slf4j-ext-sources.jar
%{_javadir}*/%{name}/slf4j-ext-%{namedversion}.jar
%{_javadir}*/%{name}/slf4j-ext.jar
%{_javadir}*/%{name}/slf4j-jcl-%{namedversion}-sources.jar
%{_javadir}*/%{name}/slf4j-jcl-sources.jar
%{_javadir}*/%{name}/slf4j-jcl-%{namedversion}.jar
%{_javadir}*/%{name}/slf4j-jcl.jar
%{_javadir}*/%{name}/slf4j-jdk14-%{namedversion}-sources.jar
%{_javadir}*/%{name}/slf4j-jdk14-sources.jar
%{_javadir}*/%{name}/slf4j-jdk14-%{namedversion}.jar
%{_javadir}*/%{name}/slf4j-jdk14.jar
%{_javadir}*/%{name}/slf4j-log4j12-%{namedversion}-sources.jar
%{_javadir}*/%{name}/slf4j-log4j12-sources.jar
%{_javadir}*/%{name}/slf4j-log4j12-%{namedversion}.jar
%{_javadir}*/%{name}/slf4j-log4j12.jar
%{_javadir}*/%{name}/slf4j-migrator-%{namedversion}-sources.jar
%{_javadir}*/%{name}/slf4j-migrator-sources.jar
%{_javadir}*/%{name}/slf4j-migrator-%{namedversion}.jar
%{_javadir}*/%{name}/slf4j-migrator.jar
%{_javadir}*/%{name}/slf4j-nop-%{namedversion}-sources.jar
%{_javadir}*/%{name}/slf4j-nop-sources.jar
%{_javadir}*/%{name}/slf4j-nop-%{namedversion}.jar
%{_javadir}*/%{name}/slf4j-nop.jar
%{_javadir}*/%{name}/slf4j-simple-%{namedversion}-sources.jar
%{_javadir}*/%{name}/slf4j-simple-sources.jar
%{_javadir}*/%{name}/slf4j-simple-%{namedversion}.jar
%{_javadir}*/%{name}/slf4j-simple.jar
%{_javadir}*/%{name}/slf4j-site-%{namedversion}-sources.jar
%{_javadir}*/%{name}/slf4j-site-sources.jar
%{_javadir}*/%{name}/slf4j-site-%{namedversion}.jar
%{_javadir}*/%{name}/slf4j-site.jar
%{_datadir}/maven2/poms/JPP.%{name}-integration.pom
%{_datadir}/maven2/poms/JPP.%{name}-jcl-over-slf4j.pom
#%{_datadir}/maven2/poms/JPP.%{name}-jcl104-over-slf4j.pom
%{_datadir}/maven2/poms/JPP.%{name}-jul-to-slf4j.pom
%{_datadir}/maven2/poms/JPP.%{name}-log4j-over-slf4j.pom
%{_datadir}/maven2/poms/JPP.%{name}-slf4j-api.pom
%{_datadir}/maven2/poms/JPP.%{name}-slf4j-ext.pom
%{_datadir}/maven2/poms/JPP.%{name}-slf4j-jcl.pom
%{_datadir}/maven2/poms/JPP.%{name}-slf4j-jdk14.pom
%{_datadir}/maven2/poms/JPP.%{name}-slf4j-log4j12.pom
%{_datadir}/maven2/poms/JPP.%{name}-slf4j-migrator.pom
%{_datadir}/maven2/poms/JPP.%{name}-slf4j-nop.pom
%{_datadir}/maven2/poms/JPP.%{name}-slf4j-parent.pom
%{_datadir}/maven2/poms/JPP.%{name}-slf4j-simple.pom
%{_datadir}/maven2/poms/JPP.%{name}-slf4j-site.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%files manual
%defattr(0644,root,root,0755)
%{_docdir}/%{name}-%{version}

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}*
%exclude %dir %{_javadocdir}
%{_javadir}*/repository.jboss.com
%endif

%changelog
* Wed Sep 7 2011 Lin Gao <lgao@redhat.com> - 0:1.6.1-5
- rebuild

* Wed Sep 7 2011 Lin Gao <lgao@redhat.com> - 0:1.6.1-4
- rename slf4j-1.6.1-integration-pom.patch to slf4j-1.6.1-integration-pom.patch.rpmbuild

* Wed Sep 7 2011 Lin Gao <lgao@redhat.com> - 0:1.6.1-3
- wolf pharse build
- mead build

* Mon Jul 04 2011 Yong Yang <yyang@redhat.com> - 0:1.6.1-2
- BR:  build-helper-maven-plugin
- Remove Patch1: slf4j-1.6.1-no-build-helper.patch

* Fri Jul 01 2011 Yong Yang <yyang@redhat.com> - 0:1.6.1-1
- Upgrade to 1.6.1
- Disable tests
- no jcl104

* Mon Jun 13 2011 David Walluck <dwalluck@redhat.com> 0:1.5.10-3
- remove bundled cal10n
- install all jars
- use proper jar names
- use 'mvn deploy'
- fix incorrectly commented patch macros
- remove unneeded patches
- fix bad maven depmaps
- fix POM copy to repolib
- enable tests
- Requires: jpackage-utils
- fix duplicate LICENSE.txt file
- fix file list
- fix dir ownership in main package
- remove GCJ support
- make namedversion macro global

* Thu Jun 02 2011 Yong Yang <yyang@redhat.com> - 0:1.5.10-2
- Use mvn-jpp deploy:deploy-file instead of upload.sh

* Thu Jun 02 2011 Yong Yang <yyang@redhat.com> - 0:1.5.10-1
- Upgrade to 1.5.10

* Tue Mar 08 2011 Martha Benitez <mbenitez@redhat.com> - 0:1.5.8-9_patch_01.2
- Rebuild

* Tue Mar 08 2011 Martha Benitez <mbenitez@redhat.com> - 0:1.5.8-9_patch_01.1
- Upgrade to 1.5.8-patch-01

* Wed Feb 09 2011 David Walluck <dwalluck@redhat.com> 0:1.5.8-8
- bump release to be newer than 7.el6
- always build javadoc
- javadoc Requires: jpackage-utils
- change BuildRequires to be backwards compat with old maven2
- fix manual

* Tue Dec 21 2010 Hui Wang <huwang@redhat.com> - 0:1.5.8-4
- Add missing artifacts to repolib

* Tue Dec 21 2010 Hui Wang <huwang@redhat.com> - 0:1.5.8-3
- Eliminate slf4j-jdk14

* Wed Dec 08 2010 Hui Wang <huwang@redhat.com> - 0:1.5.8-2
- Add upload.sh and content of maven2-brew to repolib
- Fix %%files for signed jars
- Add BR maven-site-plugin

* Mon May 17 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.5.8-1.2.1
- rebuilt

* Mon Apr 19 2010 Yiqiao Wang <yiwang@redhat.com> 0:1.5.8-1.2
- Rebuild

* Mon Jan 18 2010 David Walluck <dwalluck@redhat.com> 0:1.5.8-1.1.1
- fix GCJ support

* Wed Jul 29 2009 Yong Yang <yyang@redhat.com> 0:1.5.8-1.1
- 1.5.8
- Replace slf4j-1.5.6-integration-tests-current-only.patch with slf4j-1.5.8-skip-integration-tests.patch because of the failure of "testMatch"

* Tue Jun 23 2009 Martha Benitez <mbenitez@redhat.com> 0:1.5.6-2.1
- Change jpackage-utils >= 0:1.7.5 to jpackage-utils >= 0:1.7.3
- Change BR excalibur-avalon-framework to avalon-framework
- Add condition to build with(out) javadoc
- Add -Dmaven.test.failure.ignore=true

* Fri Jun 12 2009 Ralph Apel <r.apel at r-apel.de> 0:1.5.6-2
- Add -ext jar, depmap and pom
- Save jcl104-over-slf4j as symlink

* Tue Feb 18 2009 David Walluck <dwalluck@redhat.com> 0:1.5.6-1
- 1.5.6
- add repolib
- fix file eol
- fix Release tag

* Fri Jul 18 2008 David Walluck <dwalluck@redhat.com> 0:1.5.2-2
- use excalibur for avalon
- remove javadoc scriptlets
- GCJ fixes
- fix maven directory ownership
- fix -bc --short-circuit by moving some of %%build to %%prep

* Sun Jul 06 2008 Ralph Apel <r.apel at r-apel.de> 0:1.5.2-1.jpp5
- 1.5.2

* Mon Feb 04 2008 Ralph Apel <r.apel at r-apel.de> 0:1.4.2-2jpp
- Fix macro misprint
- Add maven2-plugin BRs

* Wed Jul 18 2007 Ralph Apel <r.apel at r-apel.de> 0:1.4.2-1jpp
- Upgrade to 1.4.2
- Build with maven2
- Add poms and depmap frags
- Add gcj_support option

* Mon Jan 30 2006 Ralph Apel <r.apel at r-apel.de> 0:1.0-0.rc5.1jpp
- First JPackage release.
